[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[vidalia-svn] r3888: Sync with deb packages. (vidalia/trunk/debian)



Author: dererk
Date: 2009-06-24 23:57:32 -0400 (Wed, 24 Jun 2009)
New Revision: 3888

Modified:
   vidalia/trunk/debian/changelog
   vidalia/trunk/debian/config
   vidalia/trunk/debian/postinst
   vidalia/trunk/debian/rules
   vidalia/trunk/debian/watch
Log:
Sync with deb packages. 


Modified: vidalia/trunk/debian/changelog
===================================================================
--- vidalia/trunk/debian/changelog	2009-06-25 03:45:46 UTC (rev 3887)
+++ vidalia/trunk/debian/changelog	2009-06-25 03:57:32 UTC (rev 3888)
@@ -1,3 +1,15 @@
+vidalia (0.1.13-3) unstable; urgency=low
+
+  * Fixing debconf scripts issue that output twice the same message.
+
+ -- Ulises Vitulli <uvitulli@xxxxxxxxx>  Thu, 11 Jun 2009 00:48:57 -0300
+
+vidalia (0.1.13-2) unstable; urgency=low
+
+  * Update Upstream URL on debian/watch
+
+ -- Ulises Vitulli <uvitulli@xxxxxxxxx>  Tue, 09 Jun 2009 22:05:58 -0300
+
 vidalia (0.1.13-1) unstable; urgency=low
 
   [ Vern Sun ]
@@ -5,9 +17,12 @@
   * Add Debconf zh_TW.po.
 
   [ Ulises Vitulli ]
-  * Minor changes on debconf files.
+  * Force scripts to die in case something goes wrong:
+    - debian/config
+    - debian/postinst
+  * Remove deprecated directive dh_desktop.
 
- -- Ulises Vitulli <uvitulli@xxxxxxxxx>  Tue, 02 Jun 2009 13:07:54 -0300
+ -- Ulises Vitulli <uvitulli@xxxxxxxxx>  Wed, 03 Jun 2009 20:11:57 -0300
 
 vidalia (0.1.12-1) unstable; urgency=low
 

Modified: vidalia/trunk/debian/config
===================================================================
--- vidalia/trunk/debian/config	2009-06-25 03:45:46 UTC (rev 3887)
+++ vidalia/trunk/debian/config	2009-06-25 03:57:32 UTC (rev 3888)
@@ -1,43 +1,14 @@
-#!/bin/bash
+#!/bin/sh
 set -e
 
 #DEBHELPER#
 
 . /usr/share/debconf/confmodule
 
-seen='false'
-askuser() {
-    question='vidalia/info'
-    db_fset $question seen false
-    db_input high $question || true
-    db_go || true
-    db_get $question
-}
-
 if [ "$1" = "configure" ]; then
-	if dpkg -l tor > /dev/null 2>&1; then
-	    # installed
-	    if [ -e '/var/run/tor/tor.pid' ]; then
-		# and already running
-		askuser
-        	seen='true'
-		if [ "$RET" = "true" ]; then
-		    invoke-rc.d --force tor stop
-		fi
-	    fi
-	fi
-
-	if pgrep -x tor > /dev/null 2>&1; then 
-		# still running?? (e.g. chroot)
-    		if [ "$seen" = "false" ]; then
-			askuser
-			if [ "$RET" = "true" ]; then
-			    echo -n "Stopping tor daemon: "
-			    pkill -x tor > /dev/null && echo "tor." || echo 'Failed!'
-			fi
-		fi
-	fi
-	db_stop
+	db_fset vidalia/info seen false
+	db_input high vidalia/info || true
+	db_go 
 fi
 
 exit 0

Modified: vidalia/trunk/debian/postinst
===================================================================
--- vidalia/trunk/debian/postinst	2009-06-25 03:45:46 UTC (rev 3887)
+++ vidalia/trunk/debian/postinst	2009-06-25 03:57:32 UTC (rev 3888)
@@ -1,9 +1,40 @@
-#!/bin/bash
-set -e 
+#!/bin/sh 
+set -e
 
 #DEBHELPER#
 
 . /usr/share/debconf/confmodule
 
-db_stop
+
+seen='false'
+askuser() {
+	db_get vidalia/info
+}
+
+if [ "$1" = "configure" ]; then
+	if dpkg -l tor > /dev/null 2>&1; then
+	    # installed
+	    if [ -e '/var/run/tor/tor.pid' ]; then
+		# and already running
+		askuser
+        	seen='true'
+		if [ "$RET" = "true" ]; then
+		    invoke-rc.d --force tor stop
+		fi
+	    fi
+	fi
+
+	if pgrep -x tor > /dev/null 2>&1; then 
+		# still running?? (e.g. chroot)
+    		if [ "$seen" = "false" ]; then
+			askuser
+			if [ "$RET" = "true" ]; then
+			    echo -n "Stopping tor daemon: "
+			    pkill -x tor > /dev/null && echo "tor." || echo 'Failed!'
+			fi
+		fi
+	fi
+	db_stop
+fi
+
 exit 0

Modified: vidalia/trunk/debian/rules
===================================================================
--- vidalia/trunk/debian/rules	2009-06-25 03:45:46 UTC (rev 3887)
+++ vidalia/trunk/debian/rules	2009-06-25 03:57:32 UTC (rev 3888)
@@ -75,7 +75,6 @@
 	dh_installman doc/vidalia.1
 	dh_installdebconf
 	dh_installmenu
-	dh_desktop
 	dh_link
 	dh_strip
 	dh_compress

Modified: vidalia/trunk/debian/watch
===================================================================
--- vidalia/trunk/debian/watch	2009-06-25 03:45:46 UTC (rev 3887)
+++ vidalia/trunk/debian/watch	2009-06-25 03:57:32 UTC (rev 3888)
@@ -1,4 +1,4 @@
 version=3
 # avoid evaluating development releases (0.2.x branches)
 opts=uversionmangle=s/0\.2\./~pre/ \
-	http://vidalia-project.net:8001/vidalia/vidalia-(.*)\.tar\.gz
+	http://www.torproject.org/vidalia/dist/vidalia-(.*)\.tar\.gz